@import "mixins";
@import "variables";

.contacts {
    background-color: black;
    width: 100%;
    &-header {
        padding-top: 38px;
        @include section-wrappers-width;
        @include font-headers;
        color: $text-color-footer-head;
        text-transform: uppercase;
        text-align: center;
        &:before, &:after {
            content: "-";
            @include pseudoelem;
        }
        @media (min-width: 768px) {
            padding-top: 58px;
        }
        @media (min-width: 1200px) {
            padding-top: 68px;
        }
    }
    &-description {
        width: 80%;
        margin:auto;
        padding: 5px 0;
        line-height: 20px;
        @media (min-width:768px) {
            width: 55%;
            line-height: 28px;
            padding-top: 20px;
        }
        @include font-text-footer;
        color: $text-color-footer-regular;
        text-align:center;
    }
&-social-wrapper {
    width: 200px;
    padding: 10px 0;
    @media (min-width: 768px) {
        padding: 20px 0;
    }
    margin:auto;
    display:flex;
    justify-content:space-between;
}
&-physical {
    @include section-wrappers;
    @include flex;
    justify-content: center;
    padding-bottom: 30px;
}
&-address, &-phone, &-email {
    padding: 0 20px 10px 20px;
    @include font-text-footer;
    color: $text-color-footer-regular;
    @media (max-width: 767px) {
        width: 90%;
        text-align: center;
    }
}
&-address:after, &-phone:after {
    content: "/";
    @include pseudoelem;
    left: 20px;
}
}